version: 3

tasks:

  secret:encrypt:
    dir: atuin/overlays/k8s-server/
    cmds:
      - for: [ 'database/s3-backup-credentials.env']
        cmd: sops -e -i {{.ITEM}}

  secret:decrypt:
    dir: atuin/overlays/k8s-server/
    cmds:
      - for: [ 'database/s3-backup-credentials.env']
        cmd: sops -d -i {{.ITEM}}

  secret:reset:
    dir: atuin/overlays/k8s-server/
    cmds:
      - for: [ 'database/s3-backup-credentials.env']
        cmd: git checkout HEAD -- {{.ITEM}}

  backup:on-demand:
    dir: atuin/overlays/k8s-server/
    cmds:
      - kubectl apply -f database/on-demand-backup.yaml -n atuin --kubeconfig ~/.kube/k8s-server.yaml
